//
//  LibraryIconView.swift
//  Jel
//
//  Created by zerocool on 12/15/23.
//

import SwiftUI
import JellyfinKit

struct LibraryIconView: View {
  @EnvironmentObject var jellyfinClient: JellyfinClientController
  
  @State var library: BaseItemDto
  
  @State var loadingImage: Bool = true
  @State var imageType: String = "Primary"
  var width: CGFloat?
  var height: CGFloat?
  
  @State var loadedImageBinaryData: Data?
  
  var body: some View {
    VStack {
      AsyncImageView(imageId: library.id ?? "",
                     blurhash: library.imageBlurHashes?.primary?[library.imageTags?[imageType] ?? ""] ?? "",
                     imageType: imageType)
      .aspectRatio(contentMode: .fill)
      .frame(width: width, height: height)
      .clipShape(RoundedRectangle(cornerRadius: 5))
      
      
      Text(library.name ?? "Unknown")
        .font(.subheadline)
    }
  }
}

//#Preview {
//  LibraryIconView(library: BaseItemDto())
//}
